package request

type TaobaoSellercatsListUpdateRequest struct {
	/*
	   卖家自定义类目编号     */
	Cid *int64 `json:"cid" required:"true" `
	/*
	   卖家自定义类目名称。不超过20个字符     */
	Name *string `json:"name,omitempty" required:"false" `
	/*
	   链接图片URL地址     */
	PictUrl *string `json:"pict_url,omitempty" required:"false" `
	/*
	   该类目在页面上的排序位置,取值范围:大于零的整数     */
	SortOrder *int64 `json:"sort_order,omitempty" required:"false" `
}

func (s *TaobaoSellercatsListUpdateRequest) SetCid(v int64) *TaobaoSellercatsListUpdateRequest {
	s.Cid = &v
	return s
}
func (s *TaobaoSellercatsListUpdateRequest) SetName(v string) *TaobaoSellercatsListUpdateRequest {
	s.Name = &v
	return s
}
func (s *TaobaoSellercatsListUpdateRequest) SetPictUrl(v string) *TaobaoSellercatsListUpdateRequest {
	s.PictUrl = &v
	return s
}
func (s *TaobaoSellercatsListUpdateRequest) SetSortOrder(v int64) *TaobaoSellercatsListUpdateRequest {
	s.SortOrder = &v
	return s
}

func (req *TaobaoSellercatsListUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Cid != nil {
		paramMap["cid"] = *req.Cid
	}
	if req.Name != nil {
		paramMap["name"] = *req.Name
	}
	if req.PictUrl != nil {
		paramMap["pict_url"] = *req.PictUrl
	}
	if req.SortOrder != nil {
		paramMap["sort_order"] = *req.SortOrder
	}
	return paramMap
}

func (req *TaobaoSellercatsListUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
